Skip to content
LogoLogo

Change a Task relation type

Change a Task relation type

PATCH/api/v1/task-relations/{relation_id}

Changes only the relation type. The related Tasks cannot be edited or replaced by this operation.

Path Parameters

relation_idRequired
string <uuid>
Example0198ac5e-f9b7-7000-8000-000000000001

Header Parameters

X-CSRF-TokenRequired
string·min 43·max 43

Session-bound CSRF token. It must exactly match the __Host-assign_csrf cookie sent with the request.

Idempotency-KeyRequired
string·min 16·max 200

Opaque client-generated key for safely retrying this operation.

Request Body

application/json
typeRequired
string
Values
blocksduplicatesrelatesparent

Responses